Download migrate-7.x-2.8.tar.gztar.gz 321.39 KB
MD5: 059291fdd863bd0425bc1fca45081c00
SHA-1: 3d4f3e32fa73746139e738ade27ef8f47c5eb2f8
SHA-256: 358c5278eab8d77802dd5f6d6ce4c62c00439ce5f9b487efac8b9b83829bf7fc
Download migrate-7.x-2.8.zipzip 375.47 KB
MD5: 5341a1a3d000cfb40bb34fe0a26548d5
SHA-1: d21b820fa1f71835a3a273ee6588aff2c9281d53
SHA-256: da4bbb7e3d44ab14b432a2e1c2999c698ac55a786035eee35886c4d910f2522b

Release info

Created by: mikeryan
Created on: 1 Jul 2015 at 14:25 UTC
Last updated: 1 Jul 2015 at 19:55 UTC
Core compatibility: 7.x

Release notes

Migrate 2.8

See SA-CONTRIB-2015-130

Features and enhancements

Bug fixes

Important: If you are upgrading from Migrate 2.5 or earlier

Migration developers will need to add the "advanced migration information" permission to their roles to continue seeing all the info in the UI they're used to.

Auto-registration (having classes be registered just based on their class name, with no call to registerMigration or definition in hook_migrate_api()) is no longer supported. Registration of classes defined in hook_migrate_api() is no longer automatic - do a drush migrate-register or use the Register button in the UI to register them.

Migration class constructors should now always accept an $arguments array as the first parameter and pass it to its parent. This version does support legacy migrations which pass a group object, or nothing, but these methods are deprecated.

Dependencies

The selected release is the release that will be used for automated testing. Optional projects are only used for testing.

Required

Optional